# Generated from backlog_jp-0.0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name backlog_jp

Name: rubygem-%{gem_name}
Version: 0.0.9
Release: 1%{?dist}
Summary: A Ruby interface for Backlog.jp
License: MIT
URL: http://github.com/y13i/backlog_jp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-coolline)
# BuildRequires: rubygem(awesome_print)
BuildArch: noarch

%description
A Ruby interface for project management service Backlog.jp API V2.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/backlog_jp.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.9-1
- Initial package
